## zfs-linux 2.1.5

=== debian/changelog ===
zfs-linux (2.1.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Jun 2022 10:07:28 +0200

zfs-linux (2.1.5-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Do not use deprecated dkms feature REMAKE_INITRD.
  * Switch to autopkgtest-pkg-dkms.
  * Do not attempt to build the modules on PREEMPT_RT kernels. (cf. #981212)

  [ Mo Zhou ]
  * New upstream version 2.1.5 (June 2022) (Closes: #1012600)
  * Remove merged patches:
    - 4900-ppc-get-user-workaround.patch
    - 4901-zvol_wait-Ignore-locked-zvols.patch
    - no-REMAKE_INITRD.patch
    And Rebase all remaining patches.

  [ Alejandro R. Sedeño ]
  * zfs-dracut: install new man page
  * refresh symbols

 -- Mo Zhou <lumin@debian.org>  Wed, 22 Jun 2022 20:48:20 -0700

zfs-linux (2.1.4-1) unstable; urgency=medium

  * New upstream version 2.1.4 (Closes: #1007186)
  * Sync debian/patches/ubuntu directory from 2.1.2-1ubuntu3.
    - Ubuntu patches are not applied on Debian.
    + Reorder patches in patches/series to keep ubuntu patches last.
    + Autopkgtest improvements for kernel-smoke-test-scrub.
    + Thanks to Dimitri John Ledkov <dimitri.ledkov@canonical.com>.
    + Thanks to Dave Jones <dave.jones@canonical.com>.
    + Sync debian/control.ubuntu from downstream debian/control.
  * Rebase existing patchset to new upstream release.
  * Install upstream's new systemd scrub service (weekly and monthly).
  * Build with libcurl for new keylocation=https:// (Closes: #988521)
  * Refresh symbols control file.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Sat, 26 Mar 2022 15:44:54 -0400
