=== debian/rules ===
--- 
+++ 
@@ -169,7 +169,7 @@
 endif
 
 override_dh_strip:
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 ifeq ($(BUILD_UDEB), true)
 	dh_strip -plibnvpair3-udeb
 	dh_strip -plibuutil3-udeb
@@ -199,13 +199,10 @@
 override_dh_installinit:
 	dh_installinit -r --no-restart-after-upgrade --name zfs-import
 	dh_installinit -r --no-restart-after-upgrade --name zfs-mount
+	dh_installinit -r --no-restart-after-upgrade --name zfs-load-key
 	dh_installinit -R --name zfs-share
 	dh_installinit -R --name zfs-zed
 
 override_dh_installsystemd:
 	mkdir -p debian/zfsutils-linux/lib/systemd/system
 	ln -sr /dev/null debian/zfsutils-linux/lib/systemd/system/zfs-import.service
-	dh_installsystemd --no-stop-on-upgrade -X zfs-zed.service
-	dh_installsystemd --name zfs-zed
-
-override_dh_installdocs:
