## zfs-linux 2.1.9

=== debian/changelog ===
zfs-linux (2.1.9-2ubuntu1.2) lunar-security; urgency=medium

  * SECURITY UPDATE: silent failure when parsing IPv6 restrictions
    - debian/patches/CVE-2013-20001.patch: pass through ipv6 addresses in
      bracket notation in lib/libshare/os/linux/nfs.c, man/man8/zfs.8,
      tests/runfiles/linux.run,
      tests/zfs-tests/tests/functional/cli_root/zfs_share/Makefile.am,
      tests/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_007_neg.ksh,
      tests/zfs-tests/tests/functional/cli_root/zfs_share/zfs_share_013_pos.ksh.
    - CVE-2013-20001

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 02 Nov 2023 10:42:09 -0400

zfs-linux (2.1.9-2ubuntu1.1) lunar; urgency=medium

  * Cherry-pick upstream fix to address FTBFS with v6.2.8+. LP: #2019450

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 13 May 2023 00:49:15 +0100

zfs-linux (2.1.9-2ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable (LP: #2008245), remaining changes:
    - debian/control:
      + drop dependencies on "zfs-modules | zfs-dkms" such that all
    packages can be installed in containers, on hosts that have zfs module
    loaded.
      + change initramfs/dracut packages to only Ubuntu-64bit
    architectures, zfs is not well supported on 32bit arches
    - debian/rules:
      + enforce abi check on Ubuntu amd64
    - debian/tests/control:
      + reduce testing to smoketest only
      + Ubuntu Kernel regression testing covers zfs testsuite
    - debian/patches:
      + Apply Ubuntu patchset to integrate with zsys

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 03 Mar 2023 07:18:14 +0000

zfs-linux (2.1.9-2) unstable; urgency=medium

  [ Aron Xu ]
  * d/control: remove obsolete Recommends lsb-base
  * cherry-pick upstream post 2.1.9 patches

  [ Mo Zhou ]
  * Cherry-pick more patches.
  * Add a new symbol for libzpool5linux.

 -- Aron Xu <aron@debian.org>  Sun, 26 Feb 2023 12:32:52 +0800

zfs-linux (2.1.9-1) unstable; urgency=medium

  * New upstream version 2.1.9

 -- Aron Xu <aron@debian.org>  Thu, 26 Jan 2023 14:36:48 +0800

zfs-linux (2.1.8-1) unstable; urgency=medium

  [ Aron Xu ]
  * New upstream version 2.1.8
  * d/patches: drop patches merged upstream, refresh remaining ones
  * Update std-ver to 4.6.2, no change required

  [ Douglas A. Tutty ]
  * README.Debian: document libpam-zfs usage for homes not in rpool (Closes: #1024128)

 -- Aron Xu <aron@debian.org>  Sun, 22 Jan 2023 02:08:54 +0800

zfs-linux (2.1.7-2) unstable; urgency=medium

  [ Mo Zhou ]
  * Add script for testing bullseye->bookworm upgrade. (irrelevant to packaging) (See: #1024326)

  [ Paulo Henrique de Lima Santana ]
  * Add Brazilian Portuguese debconf templates translation (Closes: #1026402)

  [ Aron Xu ]
  * Add upstream patch to avoid packaging.version.LegacyVersion (Closes: #1028174)
  * libzfslinux-dev: Depends on libblkid-dev (Closes: #1023070)
  * Add upstream patch for linux 6.1 and 6.2 compatibility (Closes: #1028242)

 -- Aron Xu <aron@debian.org>  Fri, 13 Jan 2023 01:47:49 +0800

zfs-linux (2.1.7-1) unstable; urgency=medium

  * New upstream version 2.1.7
  * Remove merged patches and refresh the remaining ones.

 -- Mo Zhou <lumin@debian.org>  Fri, 02 Dec 2022 18:42:14 -0500

zfs-linux (2.1.6-3) unstable; urgency=medium

  [ наб ]
  * Clean up and fix the automatic trim script. (Closes: #1022712)

 -- Mo Zhou <lumin@debian.org>  Sat, 05 Nov 2022 23:29:46 -0400

zfs-linux (2.1.6-2) unstable; urgency=medium

  * Fix the accidentally broken systemd boot sequence.
    (Fixes: https://github.com/openzfs/zfs/issues/14010)
  * Install zfs-load-key.service (/dev/null).
    The init script with the same name has to be skipped for systemd.

 -- Mo Zhou <lumin@debian.org>  Tue, 11 Oct 2022 18:34:41 -0400
