## zfs-linux 2.1.11

=== debian/changelog ===
zfs-linux (2.1.11-1+deb12u1) bookworm; urgency=medium

  * dch: typo fix
  * New symbols for libzfs4linux and libzpool5linux
  * d/patches: cherry-pick upstream fixes for stability issues
    + fix dnode dirty test (Closes: #1056752, #1063497, CVE-2023-49298)
    + fix sharenfx IPv6 address parsing (Closes: CVE-2013-20001)
    + and some fixes related to NULL pointer, memory allocation, etc.

 -- Shengqi Chen <harry-chen@outlook.com>  Sat, 02 Nov 2024 15:34:23 +0800

zfs-linux (2.1.11-1) unstable; urgency=medium

  [ Mo Zhou ]
  * Fix riscv64 CI failure as well.

  [ Aron Xu ]
  * New upstream stable point release version 2.1.11
  * Drop patches that are already in upstream stable release

 -- Aron Xu <aron@debian.org>  Sun, 23 Apr 2023 17:29:38 +0800

zfs-linux (2.1.9-4) unstable; urgency=medium

  [ Mo Zhou ]
  * Tentative fix for armel CI due to missing kernel headers.

  [ наб ]
  * /lib/zfs-linux/trim: don't exit 1 if last pool isn't nvme-only (Closes: #1030316)

  [ Aron Xu ]
  * cherry pick patches from upstream 2.1.10 stable branch
  * libzpool5linux: update symbols

 -- Aron Xu <aron@debian.org>  Wed, 19 Apr 2023 00:18:07 +0800

zfs-linux (2.1.9-3) unstable; urgency=medium

  * targeted cherry-pick to fix quality issues

 -- Aron Xu <aron@debian.org>  Sat, 25 Mar 2023 23:07:02 +0800
