=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zfs-linux
 Section: contrib/kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
+Maintainer: Debian ZFS on Linux maintainers <pkg-zfsonlinux-devel@alioth-lists.debian.net>
 Uploaders: Aron Xu <aron@debian.org>,
            Carlos Alberto Lopez Perez <clopez@igalia.com>,
            Mo Zhou <lumin@debian.org>
@@ -201,9 +200,10 @@
  OpenZFS.
 
 Package: zfs-initramfs
-Architecture: amd64 arm64 ppc64el s390x riscv64
+Architecture: all
 Depends: busybox-initramfs | busybox-static | busybox,
          initramfs-tools,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${source:Version}),
          ${misc:Depends}
 Breaks: zfsutils-linux (<= 0.7.11-2)
@@ -217,8 +217,9 @@
  for the initramfs-tools infrastructure.
 
 Package: zfs-dracut
-Architecture: amd64 arm64 ppc64el s390x riscv64
+Architecture: all
 Depends: dracut,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>= ${source:Version}),
          ${misc:Depends}
 Description: OpenZFS root filesystem capabilities for Linux - dracut
@@ -240,7 +241,7 @@
          python3,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: zfs-zed
+Recommends: zfs-modules | zfs-dkms, zfs-zed
 Breaks: openrc,
         spl (<< 0.7.9-2),
         spl-dkms (<< 0.8.0~rc1),
@@ -264,7 +265,8 @@
 Section: contrib/admin
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: zfsutils-linux (>= ${binary:Version}),
+Depends: zfs-modules | zfs-dkms,
+         zfsutils-linux (>= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: OpenZFS Event Daemon
@@ -294,6 +296,7 @@
          python3-pyzfs,
          sudo,
          sysstat,
+         zfs-modules | zfs-dkms,
          zfsutils-linux (>=${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
