=== debian/rules ===
--- 
+++ 
@@ -169,7 +169,7 @@
 endif
 
 override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_strip
 ifeq ($(BUILD_UDEB), true)
 	dh_strip -plibnvpair3-udeb
 	dh_strip -plibuutil3-udeb
