## zfs-linux 2.1.12

=== debian/changelog ===
zfs-linux (2.1.12-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Aug 2023 16:37:42 -0700

zfs-linux (2.1.12-1) unstable; urgency=medium

  * New upstream version 2.1.12
  * Remove already merged patches.
  * Rebase existing patches.
  * New symbols for libzfs4linux and libzpool5linux.

 -- Mo Zhou <lumin@debian.org>  Wed, 14 Jun 2023 21:57:31 -0700
