=== debian/tests/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
 Tests: binary-debs-modules, binary-debs-modules-udeb
 Restrictions: needs-root, allow-stderr,
 Depends: fakeroot,
+         linux-headers-686 [i386],
          linux-headers-amd64 [amd64],
-         linux-headers-686 [i386],
          linux-headers-arm64 [arm64],
          linux-headers-armmp [armhf],
+         linux-headers-powerpc64le [ppc64el],
+         linux-headers-riscv64 [riscv64],
          linux-headers-rpi [armel],
-         linux-headers-powerpc64le [ppc64el],
          linux-headers-s390x [s390x],
-         linux-headers-riscv64 [riscv64],
          @builddeps@
