## zfs-linux 2.1.14

=== debian/changelog ===
zfs-linux (2.1.14-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.

 -- Aron Xu <aron@debian.org>  Mon, 04 Dec 2023 12:45:56 +0800

zfs-linux (2.1.14-1) unstable; urgency=high

  * New upstream version 2.1.14 (Closes: #1056752, CVE-2023-49298)
  * Remove already merged emergency patches
  * Refine header of patches, fix series file

 -- Shengqi Chen <harry-chen@outlook.com>  Fri, 01 Dec 2023 17:17:32 +0800

zfs-linux (2.1.13-3) unstable; urgency=high

  * Cherry-pick another patch to fix data corruption bug

 -- Shengqi Chen <harry-chen@outlook.com>  Thu, 30 Nov 2023 15:53:45 +0800

zfs-linux (2.1.13-2) unstable; urgency=high

  * Add patch to mitigate data corruption bug

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 28 Nov 2023 11:47:10 +0800

zfs-linux (2.1.13-1) unstable; urgency=medium

  * New upstream version 2.1.13 (Closes: #1043124)
  * Quilt refresh patchset.

 -- Mo Zhou <lumin@debian.org>  Wed, 27 Sep 2023 21:29:38 -0400

zfs-linux (2.1.12-2) unstable; urgency=medium

  * Add patch to check FPU availability on arm64 (Closes: #1039487)

 -- Aron Xu <aron@debian.org>  Mon, 21 Aug 2023 11:36:30 +0800
