## zfs-linux 2.2.0~rc3

=== debian/changelog ===
zfs-linux (2.2.0~rc3-0ubuntu4) mantic; urgency=medium

  * Properly unregister sysctl entries when spl is unloaded (LP: #2034510):
    - debian/patches/4635-Linux-6.5-compat-spl-properly-unregister-sysctl-entr.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 06 Sep 2023 09:03:35 +0200

zfs-linux (2.2.0~rc3-0ubuntu3) mantic; urgency=medium

  * Cherrypick upstream pull request 15234 to hopefully fix
    loading/unloading/reloading zfs modules.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 01 Sep 2023 22:25:13 +0100

zfs-linux (2.2.0~rc3-0ubuntu2) mantic; urgency=medium

  * Fix UBSAN array-index-out-of-bounds warnings (LP: #2033385):
    - debian/patches/4630-ubsan-Support-varlen-arrays-at-end-of-struct-as-1-or.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 29 Aug 2023 09:37:56 +0000

zfs-linux (2.2.0~rc3-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Fix symbols for the new rc.
  * Cherry-pick additional compat patches for v6.4 and v6.5.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sun, 20 Aug 2023 17:21:04 +0100

zfs-linux (2.2.0~rc1-0ubuntu2) mantic; urgency=medium

  * Fixup up new symbols.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 10 Jul 2023 11:08:38 +0100

zfs-linux (2.2.0~rc1-0ubuntu1) mantic; urgency=medium

  * New upstream release.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 06 Jul 2023 18:09:52 +0100

zfs-linux (2.1.99-0ubuntu4) mantic; urgency=medium

  * Package master snapshot (zfs-2.1.99-1978-g4f583a827e)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 01 Jun 2023 16:13:59 +0100

zfs-linux (2.1.99-0ubuntu3) mantic; urgency=medium

  * Fixup symbols for non-amd64 arches.
  * Remove all known zfs kernel modules in the smoke test.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 30 May 2023 10:33:20 +0100

zfs-linux (2.1.99-0ubuntu2) mantic; urgency=medium

  * autopkgtest: skip on secureboot enabled machines.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 25 May 2023 17:10:35 +0100

zfs-linux (2.1.99-0ubuntu1) mantic; urgency=medium

  * Package master snapshot (zfs-2.1.99-1955-gad0a554614)
  * Adds support for v6.3+ LP: #2018716
  * Use native packaging without a tarball.
  * Lots of symbols dropped and changed:
    - however these are due to fvisibility=hidden
    - they should be internal-only
    - and not used externally
    - thus updating symbols without ABI bumps
    - fingers-crossed

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 23 May 2023 16:00:16 +0100

zfs-linux (2.1.11-1ubuntu1) mantic; urgency=medium

  * Merge from Debian Unstable (LP: #2008245), remaining changes:
    - debian/control:
      + drop dependencies on "zfs-modules | zfs-dkms" such that all
    packages can be installed in containers, on hosts that have zfs module
    loaded.
      + change initramfs/dracut packages to only Ubuntu-64bit
    architectures, zfs is not well supported on 32bit arches
    - debian/rules:
      + enforce abi check on Ubuntu amd64
    - debian/tests/control:
      + reduce testing to smoketest only
      + Ubuntu Kernel regression testing covers zfs testsuite
    - debian/patches:
      + Apply Ubuntu patchset to integrate with zsys
      + Fixup up renamed & unused patches

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 18 May 2023 15:06:36 +0100

zfs-linux (2.1.9-2ubuntu2) mantic; urgency=medium

  * Cherry-pick upstream fix to address FTBFS with v6.2.8+. LP: #2019450

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 13 May 2023 00:49:15 +0100
