## zfs-linux 2.2.0

=== debian/changelog ===
zfs-linux (2.2.0-0ubuntu1~23.10) mantic; urgency=medium

  * New upstream release. LP: #2040181
    - drop patches applied upstream
    - fix potential data loss
    - upgrade to 2.2.0 final
    - adjust symbols

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 24 Oct 2023 13:25:21 +0100
